LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XPropertiesChangeListener Interface Referencepublished

receives events which get fired whenever a bound property is changed. More...

`import"XPropertiesChangeListener.idl";`

Inheritance diagram for XPropertiesChangeListener:

## Public Member Functions
void | propertiesChange ([in] sequence< com::sun::star::beans::PropertyChangeEvent > aEvent)
| gets called when bound properties are changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives events which get fired whenever a bound property is changed.

## Member Function Documentation

## ◆ propertiesChange()

void propertiesChange | ( | [in] sequence< com::sun::star::beans::PropertyChangeEvent > | aEvent | ) |

gets called when bound properties are changed.

Parameters

  aEvent | contains a sequence of PropertyChangeEvent objects which describe the event source and the properites that have changed.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XPropertiesChangeListener.idl